CATMAN(8)

NOME
catman - cria ou atualiza as páginas de manual pré-formatadas

SINOPSE
catman [-d?V] [-M caminho] [-C arquivo] [seção] ...

DESCRIÇÃO
catman é usado para criar um conjunto atualizado de páginas de manual pré-formatadas conhecidas como páginas cat. Páginas cat geralmente são exibidas muito mais rapidamente que as páginas de manual originais, mas exigem espaço extra de armazenamento. A decisão para oferecer suporte páginas cat é que o administrador local, quem deve oferecer diretórios adequados par contê-los.

As opções disponíveis para catman são as hierarquias e seções de páginas de manual a serem pré-formatadas. As hierarquias padrões são aquelas especificadas como hierarquias de sistema no arquivo de configuração man-db, e as seções padrões são o conteúdo delimitado por caractere de dois pontos da variável de ambiente $MANSECT ou o conjunto padrão compilado em man se $MANSECT não estiver definido. Fornecer catman com um conjunto de nomes de seções, delimitado por espaço em branco, sobrescreverá ambos acima.

catman faz uso do cache de banco de dados index associado com cada hierarquia para determinar quais arquivos precisam ser formatadas.

OPÇÕES

-d, --debug
    Emite mensagens de depuração.

-M caminho, --manpath=caminho
    Especifica um caminho de pesquisa alternativo de hierarquia de páginas de manual delimitadas com caractere de dois pontos. Por padrão, este consiste em todos os caminhos indicados como hierarquias de sistema no arquivo de configuração do man-db.

-C arquivo, --config-file=arquivo
    Usa esse arquivo de configuração de usuário em vez do padrão ~/.manpath.

-?, --help
    Imprime uma mensagem de ajuda e sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Exibe informação da versão.

AMBIENTE

MANSECT
    Se $MANSECT estiver definido, seu valor é uma lista delimitada por caractere de dois pontos contendo seções que é usada para determinar quais seções de manual devem ser pesquisadas e em qual ordem. O padrão é "1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7", a menos que seja sobrescrito pela diretiva SECTION em /etc/manpath.config.

MANPATH
    Se $MANPATH estiver definido, seu valor é interpretado como um caminho de pesquisa de hierarquia de páginas de manual, separadas por caractere de dois pontos, a ser usado.

    Veja a seção CAMINHO DE PESQUISA de manpath(5) para o comportamento padrão e detalhes de como essa variável de ambiente é manipulada.

ARQUIVOS

/etc/manpath.config
    O arquivo de configuração do man-db.

/usr/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index tradicional.

/var/catman/index.(bt|db|dir|pag)
    Um cache global de banco de dados index alternativo ou compatível com FSSTND.

VEJA TAMBÉM
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

PROBLEMAS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db